Bug 1262602 - initial-setup-text: Backspace isn't always interpreted correctly
Summary: initial-setup-text: Backspace isn't always interpreted correctly
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: 23
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-13 09:50 UTC by Giulio 'juliuxpigface'
Modified: 2016-12-20 14:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 14:37:50 UTC
Type: Bug


Attachments (Terms of Use)
behavior of backspace in initial-setup during user creation (6.00 KB, image/png)
2015-09-13 10:15 UTC, Giulio 'juliuxpigface'
no flags Details

Description Giulio 'juliuxpigface' 2015-09-13 09:50:54 UTC
Description of problem:
In the textual interface of 'initial-setup', the backspace key is somewhere interpreted as a character. I know that this isn't a big issue. I set the severity to 'low', because this is not a "high-priority" bug, but fixing it might improve the overall usability of this software.


Version-Release number of selected component (if applicable):
initial-setup-0.3.35-1.fc23.i686


How reproducible:
Always


Steps to Reproduce:
1. Install Fedora 23 as a qemu-kvm guest, without creating an user with Anaconda.
2. Boot the freshly installed system.
3. Proceed with initial-setup (text).
4. In the "User creation" section, type "4" and then try to correct the input via backspace key.


Actual results:
1. Backspace is interpreted as a character and not as backspace.


Expected results:
1. Backspace key should act as backspace and remove the previously typed characters.


Additional info:
I'm testing with qemu-kvm.

Comment 1 Giulio 'juliuxpigface' 2015-09-13 10:15:56 UTC
Created attachment 1072836 [details]
behavior of backspace in initial-setup during user creation

Comment 2 Vratislav Podzimek 2015-09-14 06:33:05 UTC
Martin, could you please try to reproduce this? I think the key is the installation in some non-English language and then booting into such system. Could be a systemd or dracut bug because it seems like the console is not correctly set up for us.

Comment 3 Fedora End Of Life 2016-11-24 12:30:10 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 14:37:50 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.